Package ru.bitel.bgbilling.modules.drwebn.server.bean

# Class DrwebAgentDAO

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<DrwebAgent>
ru.bitel.bgbilling.common.dao.AbstractIdDao<DrwebAgent>
ru.bitel.bgbilling.modules.drwebn.server.bean.DrwebAgentDAO

public class DrwebAgentDAO extends ru.bitel.bgbilling.common.dao.AbstractIdDao<DrwebAgent>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `DrwebAgentDAO.AgentDayItem`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrwebAgentDAO(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DrwebAgentDAO.AgentDayItem>`
  `getActualAgent(Calendar day)`
  `int`
  `getActualAgentCount(int cid)`
  `protected int`
  `getAgentCount(int contractId)`
  `List<DrwebAgent>`
  `getAgentListAll()`
  `List<DrwebAgent>`
  `getAgentListByCid(int cid)`
  `protected DrwebAgent`
  `getFromRS(ResultSet rs)`
  `List<DrwebAgentStatus>`
  `getStatusList(int agentId)`
  `protected void`
  `newAgent(DrwebAgent agent)`
  `protected void`
  `updateAgentState(int id, int status)`
  Устанавливает у агента текущий статус с сегодняшнего дня
  `protected void`
  `updateImpl(DrwebAgent agent)`
  `void`
  `updateStatus(DrwebAgentStatus status, int userId, boolean rewrite)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DrwebAgentDAO

    public DrwebAgentDAO(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected DrwebAgent getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DrwebAgent>`
    Throws:
      `SQLException`

  - ### newAgent

    protected void newAgent(DrwebAgent agent) throws SQLException
    Throws:
      `SQLException`

  - ### updateAgentState

    protected void updateAgentState(int id, int status) throws SQLException
    Устанавливает у агента текущий статус с сегодняшнего дня
    Parameters:
      `status` - - статус агента
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateImpl

    protected void updateImpl(DrwebAgent agent) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DrwebAgent>`
    Throws:
      `SQLException`

  - ### getAgentListByCid

    public List<DrwebAgent> getAgentListByCid(int cid) throws SQLException
    Throws:
      `SQLException`

  - ### getAgentListAll

    public List<DrwebAgent> getAgentListAll() throws SQLException
    Throws:
      `SQLException`

  - ### getAgentCount

    protected int getAgentCount(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getActualAgentCount

    public int getActualAgentCount(int cid) throws SQLException
    Throws:
      `SQLException`

  - ### getStatusList

    public List<DrwebAgentStatus> getStatusList(int agentId) throws SQLException
    Throws:
      `SQLException`

  - ### updateStatus

    public void updateStatus(DrwebAgentStatus status, int userId, boolean rewrite) throws SQLException
    Throws:
      `SQLException`

  - ### getActualAgent

    public List<DrwebAgentDAO.AgentDayItem> getActualAgent(Calendar day) throws SQLException
    Throws:
      `SQLException`